RubyGem?

概要

RubyGem?は、CPANやaptなどのRuby版のようなものです。つまり、Rubyのモジュール管理プログラムです。

RubyGem?は、インストール作業の際に、OpenSSLとzlibのライブラリを必要とします。OpenSSLとzlibのライブラリが正しく入っていることを確認してください。これらのライブラリに関しては、マニュアル/環境構築/Rubyの初期設定の項を参照してください。

ダウンロード

http://rubyforge.org/frs/?group_id=126よりダウンロードできます。OSに依存しません。

インストール

ダウンロードしたファイルを適当な場所に展開してください。

展開したフォルダに移り、次の作業を行ってください。

ruby setup.rb

あとは、自動的にインストールがなされます。インストール後は、展開したファイルを削除してかまいません。

初期設定

使い方

CPANやaptと同じ感じです。

Ruby on Railsをインストールするには、次の作業でできます。-yが指定されているので、依存関係が自動的に解消されます。

gem install rails -r -y

以下のコマンドでもいけますよ。by yano

gem install rails --include-dependencies

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2006-04-05 (水) 22:23:49 (4820d)